<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>martillo</title>
    <style>
        body{
            background-color: coral;
        }
        img{
            left:0;
            top: 0;
            position: relative;
            transition: transform 2s, left 2.5s, border-radius 10s, top 1s;
            border-radius: 0;
        }
        div{
            width: 100%;
            background-color: aqua;
        }
        div:hover img{
            position: relative;
            left: 400px;
            transform: rotate(45deg);
            top: 200px;
            border-radius: 50px;
        }
    </style>
</head>
<body>
    <main>
        <div><img src="martillo.png"/></div>
    </main>    
</body>
</html>